Skip site navigation (1) Skip section navigation (2)

Re: geeting error in installing iodbc

From: Adrian Klaver <aklaver(at)comcast(dot)net>
To: pgsql-odbc(at)postgresql(dot)org
Cc: Praveen K Sharma2 <praveen(dot)k(dot)sharma(at)in(dot)ibm(dot)com>
Subject: Re: geeting error in installing iodbc
Date: 2009-04-13 14:19:14
Message-ID: 200904130719.14591.aklaver@comcast.net (view raw or flat)
Thread:
Lists: pgsql-odbc
On Monday 13 April 2009 7:03:35 am Adrian Klaver wrote:
> On Monday 13 April 2009 5:52:40 am Praveen K Sharma2 wrote:
> > Hi All,
> > I was trying to install odbc driver  for the oracle on linux , for that I
> > download     psqlodbc-08.03.0400
> > When I was installing the the iodbc getting the error
>
> Just to be clear you are trying to install the ODBC driver for Postgres not
> Oracle right?
>
> > [oralsh(at)db psqlodbc-08.03.0400]$ make
> > make  all-am
> > make[1]: Entering directory
> > `/home/oralsh/ODBC_HOME/PSQLODBC/psqlodbc-08.03.0400'
> > if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.
> > -I.   -I/usr/include -Wall       -g -O2 -MT socket.lo -MD -MP -MF
> > ".deps/socket.Tpo" -c -o socket.lo socket.c; \
> > then mv -f ".deps/socket.Tpo" ".deps/socket.Plo"; else rm -f
> > ".deps/socket.Tpo"; exit 1; fi
> >  gcc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include -Wall -g -O2 -MT
> > socket.lo -MD -MP -MF .deps/socket.Tpo -c socket.c  -fPIC -DPIC -o
> > .libs/socket.o In file included from /usr/include/openssl/ssl.h:179,
> >                  from /usr/include/libpq-fe.h:33,
> >                  from socket.c:21:
> > /usr/include/openssl/kssl.h:72:18: krb5.h: No such file or directory
> > make[1]: *** [socket.lo] Error 1
> > make[1]: Leaving directory
> > `/home/oralsh/ODBC_HOME/PSQLODBC/psqlodbc-08.03.0400'
> > make: *** [all] Error 2
> > [oralsh(at)db psqlodbc-08.03.0400]$
> >
> > Any clue/ help over this is really helpfull for me.
>
> Looks like an OpenSSL problem. Do you have the openssl-dev libraries
> installed?
>
> > regards,
> > Praveen
>
> --
> Adrian Klaver
> aklaver(at)comcast(dot)net

Missed the reference to krb5.h. I am running Ubuntu and the Openssl-dev 
libraries are supplied by libssl-dev and the krb5 dev by libkrb5-dev . You 
might to check for these or their equivalents.

-- 
Adrian Klaver
aklaver(at)comcast(dot)net

In response to

pgsql-odbc by date

Next:From: Jeff Wigal (Referee Assistant)Date: 2009-04-14 00:55:23
Subject: Fwd: Problem with connection dropping
Previous:From: Adrian KlaverDate: 2009-04-13 14:03:35
Subject: Re: geeting error in installing iodbc

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group